Bug 103110 - irqbalance always deleted in preuninstall
irqbalance always deleted in preuninstall
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel-utils (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-08-26 13:05 EDT by Kaj J. Niemi
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version: 2.4-8.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 12:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2003-08-26 13:05:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:

Shouldn't the irqbalance part be INSIDE the conditional? Otherwise we delete it
on upgrades as well... right?

if [ "$1" = "0" ] ; then
 /sbin/service smartd stop
 /sbin/chkconfig --del microcode_ctl
 /sbin/chkconfig --del smartd
fi
 /sbin/chkconfig --del irqbalance


Version-Release number of selected component (if applicable):
kernel-utils-2.4-8.31

How reproducible:
Always

Steps to Reproduce:
1. I guess?
2.
3.
    

Additional info:
Seems to have gotten disabled somehow on all systems with an upgraded
kernel-utils package.
Comment 1 Michael K. Johnson 2003-10-21 16:49:17 EDT
kernel-utils-2.4-8.39 has this fixed, along with a bunch of other things...
Should be in next rawhide.

Of course, it will still get removed on upgrade to that package, but after
that is fixed, the *next* update beyond that should be OK.

Note You need to log in before you can comment on or make changes to this bug.